﻿@model List<VirtualCarGarage.MVC.Models.UserViewModel>;

@{ ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";}
<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">Customers</h1>

        <p>
            <a class="text-primary font-weight-bolder" asp-action="Create">Create</a>
        </p>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        Customer ID
                    </th>
                    <th>
                        First Name
                    </th>
                    <th>
                        Last Name
                    </th>
                    <th>
                        Phone Number
                    </th>
                    <th>
                        Email Address
                    </th>
                    <th>
                        Options
                    </th>
                </tr>
            </thead>

            <tbody>
                @foreach (var item in Model)
                {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.UserId)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.FirstName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.LastName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.PhoneNumber)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Email)
        </td>
        <td>
            <a asp-action="Edit" asp-route-id="@item.UserId">Edit</a> |
            <a asp-controller="Cars" asp-action="UserCars" asp-route-id="@item.UserId">Cars</a> |
            <a asp-action="Delete" asp-route-id="@item.UserId">Delete</a>
        </td>
    </tr>
}
            </tbody>
        </table>
    </div>
        <div class="text-center">
            <a asp-controller="Home" asp-action="Index" class="btn btn-primary">Back</a>
        </div>
</div>